#
#       Makefile for sample/sgpack
#

include ../../../Mkinclude

LIBOBJS		= sgpk01 sgpk02 sgpk03 sgpk04 sgpk05 \
		  sgpk06 sgpk07 sgpk08 sgpk09 sgpk10
EPSFILES	= sgpk01_0001.eps sgpk02_0001.eps sgpk02_0002.eps \
		  sgpk03_0001.eps sgpk03_0002.eps sgpk04_0001.eps \
		  sgpk05_0001.eps sgpk06_0001.eps sgpk06_0001.eps \
		  sgpk07_0001.eps sgpk08_0001.eps sgpk09_0001.eps sgpk10_0001.eps


all: mkobj $(EPSFILES) MVobj

mkobj: $(LIBOBJS)

MVobj:
	$(RM) $(LIBOBJS)

sgpk01_0001.eps:
	echo 2 | ./sgpk01 -sw_fname=sgpk01 -sw_ifl=2

sgpk02_0001.eps:
	echo 2 | ./sgpk02 -sw_fname=sgpk02 -sw_ifl=2

sgpk02_0002.eps: sgpk02_0001.eps

sgpk03_0001.eps:
	echo 2 | ./sgpk03 -sw_fname=sgpk03 -sw_ifl=2

sgpk03_0002.eps: sgpk03_0001.eps

sgpk04_0001.eps:
	echo 2 | ./sgpk04 -sw_fname=sgpk04 -sw_ifl=2

sgpk05_0001.eps:
	echo 2 | ./sgpk05 -sw_fname=sgpk05 -sw_ifl=2

sgpk06_0001.eps:
	echo 2 | ./sgpk06 -sw_fname=sgpk06 -sw_ifl=2

sgpk06_0002.eps: sgpk06_0001.eps

sgpk07_0001.eps:
	echo 2 | ./sgpk07 -sw_fname=sgpk07 -sw_ifl=2

sgpk08_0001.eps:
	echo 2 | ./sgpk08 -sw_fname=sgpk08 -sw_ifl=2

sgpk09_0001.eps:
	echo 2 | ./sgpk09 -sw_fname=sgpk09 -sw_ifl=2

sgpk10_0001.eps:
	echo 2 | ./sgpk10 -sw_fname=sgpk10 -sw_ifl=2
